import type { DidResolutionOptions, AgentContext, DidResolutionResult, DidResolver } from '@credo-ts/core';
import type { ParsedDID } from 'did-resolver';
import { Resolver } from 'did-resolver';
export declare class PolygonDidResolver implements DidResolver {
    readonly allowsCaching = true;
    readonly supportedMethods: string[];
    resolver: Resolver;
    constructor();
    resolve(agentContext: AgentContext, did: string, parsed: ParsedDID, didResolutionOptions: DidResolutionOptions): Promise<DidResolutionResult>;
}
